Skip to main content
POST
/
api
/
v1
/
org
/
support
/
tickets
/
review
Review Ticket Endpoint
import requests

url = "https://platform.ankra.app/api/v1/org/support/tickets/review"

payload = {
    "description": "<string>",
    "subject": "<string>"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({description: '<string>', subject: '<string>'})
};

fetch('https://platform.ankra.app/api/v1/org/support/tickets/review', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
curl --request POST \
--url https://platform.ankra.app/api/v1/org/support/tickets/review \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"description": "<string>",
"subject": "<string>"
}
'
{
  "enrichment": {
    "summary": "<string>"
  },
  "expires_at": "2023-11-07T05:31:56Z",
  "review_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "clarifying_questions": [
    "<string>"
  ],
  "duplicate_candidates": [
    {
      "candidate_id": "<string>",
      "confidence": "<string>",
      "status_label": "<string>",
      "summary": "<string>",
      "already_resolved": false
    }
  ],
  "quality_flags": [
    "<string>"
  ],
  "recommended_action": "new"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

authorization
string | null
x-ankra-organisation-id
string | null

Body

application/json
description
string
required
Required string length: 1 - 10000
subject
string
required
Required string length: 1 - 200
category
enum<string>
default:technical
Available options:
technical,
account,
billing,
bug,
feature_request,
other
cluster_id
string<uuid> | null
environment
Environment · object | null
severity
enum<string> | null
Available options:
low,
medium,
high,
critical
source
enum<string>
default:portal
Available options:
portal,
api,
cli,
agent

Response

Successful Response

enrichment
TicketEnrichment · object
required
expires_at
string<date-time>
required
quality
enum<string>
required
Available options:
pass,
flag
review_id
string<uuid>
required
clarifying_questions
string[]
duplicate_candidates
DuplicateCandidate · object[]
quality_flags
string[]
Available options:
auto,
suggest,
new